1. Приветствуем Вас на неофициальном форуме технической поддержки XenForo на русском языке. XenForo - новый и перспективный форумный движок от бывших создателей vBulletin.
Загрузка

1.4.x Редактор TinyMCE Quattro и его wysiwyg BB-коды 2.5.2

Расширенный редактор для XenForo с широким функционалом и большим количеством настроек

  1. Mirovinger

    Mirovinger Местный

    Регистрация:
    17.05.12
    Сообщения:
    252
    Симпатии:
    246
    Версия XF:
    1.1.2
    Держите.

    [ресурс обновлен]
     
    ogol.anton нравится это.
  2. Resourcer

    Resourcer Местный

    Регистрация:
    12.10.10
    Сообщения:
    283
    Симпатии:
    276
  3. Gatses

    Gatses Местный

    Регистрация:
    05.02.11
    Сообщения:
    421
    Симпатии:
    579
    Версия XF:
    1.5.9
     

    Вложения:

  4. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    Поставил данный шедевр. Увы... не работает...
    Начал разбираться, а разработчики забыли указать самое главное - для каких версий php он работает.
    Оказалось, что для 5.2 он принципиально не работает!!!
    Переустановка php - сразу отпадает, на хостинге слишком много софта, который принципиально, не работает на 5.3 и выше. Переписывание сотен тысяч строк текста это не реально.

    Вопрос - сохранилась ли у кого какая-нибудь старая версия плагина, которая бы работала со старыми php ?
     
  5. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.453
    Симпатии:
    3.277
    Версия XF:
    1.5.9
    А зачем Вам старый софт? Новая версия XenForo вообще будет под 5.4. Получается, что нет никакого смысла оставаться на старой версии PHP. Все равно новые версии XenForo Вы использовать не сможете.
     
    Kolya groza morey нравится это.
  6. sonic

    sonic Местный

    Регистрация:
    08.10.10
    Сообщения:
    277
    Симпатии:
    213
    oleg_ws, ну думаю врядли у кого-то сохранилась версия ниже 1.6.ххххх... а 1.6.4.2 версию тут же скачать можно.
     
  7. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    А вы что думаете, у меня на хосте стоит только XenForo? И цена вопроса в переписывании десятков и сотен строк текста, которые не совместимы с php 5.3 и выше, в лучшем случае не проходили тестирования. Но много сделанного под Друпал-5, который заведомо не совместим.
    А данный продукт не совместим со старыми php из-за того, что в его составе используется сторонний продукт - MrColor ( http://mexitek.github.io/phpColors/ ) при его отключении редактор запустился на чистом XenForo (1.2.6), но на XenForo (1.2.4) с установкой других плагинов, в том числе самописных, наблюдается конфликт шаблонов, пока не разобрался в чем проблема.
     
  8. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    Спасибо, только мне, к сожалению, пока даже ее найти не удалось.

    p.s. Нашел на github, там есть версия даже 2.5.6 wip. MrColor используется начиная с версии 1.5.0 Кому интересно, выкладываю 2.5.6
     

    Вложения:

    Последнее редактирование: 4 май 2015
  9. sonic

    sonic Местный

    Регистрация:
    08.10.10
    Сообщения:
    277
    Симпатии:
    213
    да в этом же ресурсе перейдите на вкладку "история версий" и там все есть.. это так на будущее.
     
  10. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    Спасибо! А я в закладке "Обновления" искал :(
    Правда пришлось 1.4.2 ставить, а там ее не было
     
  11. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.453
    Симпатии:
    3.277
    Версия XF:
    1.5.9
    Да я не об этом. Я про то, как поступите, когда выйдет XenForo 2.0? Он будет уже под PHP 5.4. Тогда уже поиском старых версий плагинов Вы не отделаетесь...
     
  12. Kolya groza morey

    Kolya groza morey Местный

    Регистрация:
    14.06.13
    Сообщения:
    321
    Симпатии:
    107
    Версия XF:
    1.5.9
    Есть способы на одном хосте поставить несколько версий рнр. Они сайты работают на 5.2, другие на 5.4
     
  13. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    Я ничего просто делать не буду, а останусь на старой ветке. Обычно поддержка старых веток еще долго остается и идет выпуск новых релизов. Еще неизвестно на сколько 2.0 будет лучше.
    --- добавлено : May 5, 2015 9:18 AM ---
    Ну это если хостер позволит. Мне проще или более старую версию плагина найти (что я и сделал) или в новой что-то подправить (делал частично - просто нашел нужную старую версию).
     
    Последнее редактирование модератором: 13 май 2015
  14. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.453
    Симпатии:
    3.277
    Версия XF:
    1.5.9
    Дело, конечно, Ваше, но тут есть один серьезный недостаток. Новые плагины уж точно не будут выпускаться под старые версии. Насчет поддержки старых версий - я вот совсем не уверен, что разработчики будут тянуть с ее поддержкой. Они как раз сторонники современного софта, а не ископаемого. Лично я бы на их месте точно не стал поддерживать PHP 5.2. И дело тут не только в самом желании разработчиков, а в том, что PHP 5.2 уже давно не поддерживается, а версия 5.3 снята с поддержки где-то в июле прошлого года. В этом году даже 5.4 уже заканчивает поддержку обновлениями безопасности. Соответственно, поддержка дистрибутивами ОС (Linux и BSD) 5.2 уже давно снята, а 5.3 заканчивается для большинства. Таким образом, хостеры будут вынуждены переходить на более свежие версии PHP (начиная с 5.3). Ведь никому не нужны необновляемые версии серверного софта.
    Так что лучше найдите время (и деньги, если и в них дело тоже) и займитесь обновлением всего своего софта. В противном случае есть риск через полгода получить необновляемый и нерасширяемый хлам.
    Конечно, можно поступить и как множество булководов, которые остались на 3-й булке. Но все равно они сейчас вынуждены либо переходить на новые версии булки, либо мигрировать вообще на другие движки, так как 3-я булка уже изжила во всех планах, включая юзабилити, безопасность и т.д.
    Просто миграция на другие движки, как и большие скачки между версиями, плохо сказываются на полноте переносимых данных, да и на пользователях.
     
    Kolya groza morey нравится это.
  15. oleg_ws

    oleg_ws Пользователь

    Регистрация:
    27.01.14
    Сообщения:
    6
    Симпатии:
    0
    Версия XF:
    1.2.4
    Есть такой принцип - если что-то нормально работает, то лучше это не трогать.
    А с новыми плагинами - еще нужно посмотреть, на сколько они полезны и цену вопроса, на сколько переделка всего целесообразнее установки этого плагина. В некоторых случаях проще плагин переписать под себя, чем трогать большой снежный ком.
     

Поделиться этой страницей